Main Page Modules Data Structures File List Data Fields Globals Related Pages

# lib/rpmchecksig.c File Reference

Verify the signature of a package. More...

`#include "system.h"`
`#include <rpmcli.h>`
`#include "rpmlead.h"`
`#include "signature.h"`
`#include "misc.h"`
`#include "debug.h"`

Go to the source code of this file.

## Functions

int | manageFile (FD_t *fdp, const char **fnp, int flags, int rc)
int | copyFile (FD_t *sfdp, const char **sfnp, FD_t *tfdp, const char **tfnp)
int | rpmReSign (rpmResignFlags flags, char *passPhrase, const char **argv)
int | rpmCheckSig (rpmCheckSigFlags flags, const char **argv)

## Detailed Description

Verify the signature of a package.

Definition in file rpmchecksig.c.

## Function Documentation

int copyFile | ( | FD_t * | sfdp,
|  | const char ** | sfnp,
|  | FD_t * | tfdp,
|  | const char ** | tfnp
| ) | `[static]`

| Definition at line 72 of file rpmchecksig.c. References _, Fread, Fstrerror, Fwrite, and manageFile. Referenced by rpmCheckSig, and rpmReSign.

int manageFile | ( | FD_t * | fdp,
|  | const char ** | fnp,
|  | int | flags,
|  | int | rc
| ) | `[static]`

| Definition at line 18 of file rpmchecksig.c. References _, Fclose, fdFree, fdLink, Ferror, Fopen, Fstrerror, and makeTempFile. Referenced by copyFile, rpmCheckSig, and rpmReSign.

int rpmCheckSig | ( | rpmCheckSigFlags | flags,
|  | const char ** | argv
| ) |

| Definition at line 290 of file rpmchecksig.c. References _, _free, copyFile, headerFreeData, headerFreeIterator, headerInitIterator, headerNextIterator, int_32, manageFile, readLead, rpmRC, RPMRC_BADSIZE, RPMRC_OK, rpmReadSignature, and rpmVerifySignature. Referenced by checkSig, and main.

int rpmReSign | ( | rpmResignFlags | flags,
|  | char * | passPhrase,
|  | const char ** | argv
| ) |

Definition at line 105 of file rpmchecksig.c.

References _, _free, copyFile, EXIT_FAILURE, Fstrerror, headerAddEntry, headerCopyLoad, headerFree, headerFreeData, headerFreeIterator, headerGetEntry, headerInitIterator, headerLink, headerNew, headerNextIterator, headerReload, headerRemoveEntry, hPTR_t, int_32, manageFile, readLead, rpmAddSignature, RPMLOOKUPSIG_QUERY, rpmLookupSignatureType, rpmRC, RPMRC_BADSIZE, RPMRC_OK, rpmReadSignature, RPMSIGTYPE_HEADERSIG, RPMTAG_HEADERSIGNATURES, rpmWriteSignature, and writeLead.

Referenced by main.